#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void cheFare();
    void suona();
		void pbTasti(int);
    void pbTastoCopia(int);
    void pbTastoSillaba(int);
    void esercizio();
		void esercizioFine();
    void fine();
		void imposta();
		void impostaOk();
		void impostaAnnulla();
		void impostaFileDialog();
//		void key(QKeyEvent *);
		void leggiArchivio();

private:
    QButtonGroup *bgTasti;
//    QCheckBox *cbSillaba;;
    QFont *fnNumbers,*fnVoci,*fnLittle;
    QGroupBox *gbPushButtons,*gbImposta,*gbCopia, *gbParola, *gbScrivi;
    QIcon *icA,*icB;
		QKeyEvent *keKey;
		QLabel *laScrivi[26],*laParola,*laCopia[26];
		QLabel 	*laImpDirParole, *laImpLst, *laImpAudio, *laImpAudio1, *laImpAudio2, *laImpRipetiAudio, 
						*laImpMostra, *laImpCopia, *laImpSillaba, *laImpMaiuMinu, *laImpParole123, *laImpErroreResta,
						*laImpDirParoleScelta, *laImpLstScelta;
						
//		QLineEdit  *leMeno[20];
		QLineEdit  	*leFile,
								*leImpAudio, *leImpAudio1, *leImpAudio2, *leImpRipetiAudio, *leImpMostra, 
								*leImpCopia, *leImpSillaba, *leImpMaiuMinu, *leImpParole123, *leImpErroreResta,*leKey;
		QMessageBox *msgBox;
    QPushButton *pbEsercizio,*pbImposta,*pbFine,*pbRicarica,*pbTasto[30], *pbFile;
		QPushButton *pbImpostaOk,*pbImpostaAnnulla,*pbFileLst;
//		QRadioButton *rbU[10],*rbD[10],*rbC[10];
    QSound *snSuono;
		QTimer *tiRipeti;


};

#endif // MAINWINDOW_H
