#include "mainwindow.h"
#include <math.h>
#include <time.h>
#include <string.h>
#include <unistd.h>
#include <ctype.h>

    struct Ini{
			char sIni[20];
			int iIni;
			void *p;
		}	;

    char sL[30][4]={"A","B","C","D","E","F","G","H","I","L","M","N","O","P","Q","R","S","T","U","V","Z","-","`","←"};

    int iTasti[30];
		unsigned iLabel=0;
		int iSlot=0;
		char sFileLst[129]="Esercizio_Tutte_le_parole.lst",sArchivioLst[256];
    char sAudio[256],sAudio1[129]="cvlc Parole/", sAudio1r[129], sAudio2[128]=" vlc://quit", sAudio2r[129],sDirParole[128]="Parole/";
		int iAudio=1,iRipetiAudio=7,iCopiatura=1, iSillabazione=1,iMostra=1,iParole123=1,iErroreResta=0;
		char sParole[1024][26],sVoci[1024][26],sParola[256]="",sParolaSillabata[256];
		int nParole=0,nParola=0,iMaiuMinu=2;
		char sBgColorLabel[128];

		bool 	blPushButtons, blCopia, blParola, blScrivi,blTimer;

		Ini strIni[]={
			{"Dir_Parole__=",2,sDirParole},
			{"File_lst____=",2,sFileLst},
			{"Audio_______=",1,&iAudio},
			{"Ripeti_Audio=",1,&iRipetiAudio},
			{"Mostra______=",1,&iMostra},
			{"Copiatura___=",1,&iCopiatura},
			{"Sillabazione=",1,&iSillabazione},
			{"Exec_Audio_1=",2,sAudio1},
			{"Exec_Audio_2=",2,sAudio2},
			{"Maiu1_Minu2_=",1,&iMaiuMinu},
			{"Parole_123__=",1,&iParole123},
			{"Errore_resta=",1,&iErroreResta},
		};
		unsigned nIni=sizeof(strIni)/sizeof(Ini);

// ******************  FUNZIONI COMUNI ********************************

int leggiIni(FILE *f,char *s, unsigned int *iP)
{
int i;
static char sBuf[256],sBuf1[256];
	sBuf[0]='\0';
  do{
		if(fgets(sBuf,250,f)==NULL||feof(f)){
			s[0]='\0';
			*iP=0;
			return 9999;
		}
	}while (strlen(sBuf)<=0);
	strcpy(sBuf1,strtok(sBuf," "));
	i=0;
	for(i=0;i<(int)nIni;i++){
		if(strcmp(sBuf1,strIni[i].sIni)==0) break;
	}
	if(i>=(int)nIni){
		return leggiIni(f,s,iP);
	}else{
		strcpy (sBuf1,strtok(NULL,"\n\r"));
		if (strIni[i].iIni==1){
      int *p=(int *) strIni[i].p;
		 	*iP=atoi(sBuf1);
			*p=*iP;
		}
		else if (strIni[i].iIni==2){
			*iP=strlen(sBuf1);
			strcpy((char *)strIni[i].p,sBuf1);
		}
		strcpy(s,sBuf1);
		return i;
	}
}


int iRand(int iMax)
{
  return (int) ((float)iMax*rand()/(RAND_MAX+1.0));

}


void strUpr(char s[])
{
unsigned int i;
	for (i=0;i<strlen(s);i++)s[i]=toupper(s[i]);
}


void strLwr(char s[])
{
unsigned int i;
	for (i=0;i<strlen(s);i++)s[i]=tolower(s[i]);
}


void strChrRep(char *s, const char da, const char a)
{
char *p;
		p= strchr(s,da);
		while(p!=NULL){
			*p=a;
			p= strchr(s,da);
		}	
}

char *iToStr(int i)
{
  static char sBuf[128];
	sprintf(sBuf,"%d",i);
	return &sBuf[0];

}


char *baseName(char *path)
{
static char sP[256], *c;

	strcpy(sP,path);
  c=strrchr(sP,'/');
	c++;
  return c;
}



char *dirName(char *path)
{
static char sP[256], *c;

	strcpy(sP,path);
  c=strrchr(sP,'/');
	*c='\0';
  return &sP[0];
}

// ******************  MainWindow ************************************

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{

    unsigned int i,j;
    int scrH,scrW;
    char sBuf[128]="";
	  int iR,iG,iB;

		srand(time(0));

    QDesktopWidget dw;
    scrH=dw.height();
    scrW=dw.width();
    fnNumbers = new QFont("Courier", 30, QFont::Bold,false);
    fnVoci = new QFont("Courier", 18, QFont::Bold,false);
		fnVoci->setLetterSpacing(QFont::PercentageSpacing,120);
    fnLittle = new QFont("Roman",8,false,false);

    setGeometry((scrW-800)/2,(scrH-600)/2,800,600);

//		setStyleSheet("QMainWindow {background-color: lightgray }");

    setFixedSize(QSize(800,600));
    setWindowTitle("Esercizi di sillabazione");
    msgBox = new QMessageBox();
// Messaggio iniziale
    msgBox->setText("Programma per l'addestramento alla divisione in sillabe.");
    msgBox->setIcon(QMessageBox::Information);
		msgBox->setInformativeText(QString::fromUtf8("Questo programma è stato scritto usando le librerie Qt prodotte da Trolltech/Nokia e distribuite con licenza lgpl.\n\nIl programma viene distribuito con licenza gpl.\n\nSe il codice sorgente non è allegato basta chiederlo all'autore all'indirizzo p.delise@gmail.com.\n\nLe eventuali modifiche apportate da altri al codice sorgente dovranno essere ridistribuite con la stessa licenza.\n\n Copyright P.Delise (2011) - Trieste"));
		msgBox->setStandardButtons(QMessageBox::Ok);
		msgBox->setDefaultButton(QMessageBox::Ok);
		msgBox->exec();
    
//Apertura file sillabe.ini
    FILE *fIni=fopen("Sillabe.ini","r");
    nParole=0; 
    
    if (fIni==NULL){
	    msgBox->setText("Impossibile aprire il file Sillabe.ini.");
  	  msgBox->setIcon(QMessageBox::Information);
			msgBox->setInformativeText(QString::fromUtf8("Saranno caricati i valori standard che potranno essere modificati aprendo l'apposita finestra col pulsante Impostazioni"));
			msgBox->setStandardButtons(QMessageBox::Ok);
			msgBox->setDefaultButton(QMessageBox::Ok);
			msgBox->exec();
		
		}else{

			while((j=leggiIni(fIni,sBuf,&i))<100) ;

			if(iAudio==0)iCopiatura=1;    

			fclose(fIni);
			strcpy(sAudio1r,sAudio1);
//			strcat (sAudio1r," ");
			strcat (sAudio1r,sDirParole);
			strcpy(sBuf,"");
			strcat(sBuf,sAudio2);
			strcpy(sAudio2r,sBuf);
			if (iMaiuMinu==2){
				for (i=0;i<sizeof(sL);i++)sL[i][0]=tolower(sL[i][0]);
			}
			if (iMaiuMinu==1){
				for (i=0;i<sizeof(sL);i++)sL[i][0]=toupper(sL[i][0]);
			}
		  strcpy(sArchivioLst,sDirParole);
			strcat(sArchivioLst,sFileLst);
			leggiArchivio();
		}

		this->setStyleSheet("QLabel {color: blue;}");


		tiRipeti = new QTimer(this);
    connect(tiRipeti, SIGNAL(timeout()), this, SLOT(suona()));

    gbPushButtons = new QGroupBox(this);
    gbPushButtons->setGeometry(680,10,100,280);
		gbPushButtons->setStyleSheet("QGroupBox { border-style: groove; border-width: 2px;border-color: lightgray; }");

    gbParola = new QGroupBox("Parola proposta",this);
    gbParola->setGeometry(10,50,600,50);
		gbParola->setVisible(false);
		gbParola->setStyleSheet("QGroupBox { border-style: groove; border-width: 2px;border-color: lightgray; }");

    gbCopia = new QGroupBox("Ricopia la parola",this);
    gbCopia->setGeometry(10,150,600,50);
		gbCopia->setVisible(false);
		gbCopia->setStyleSheet("QGroupBox { border-style: groove; border-width: 2px;border-color: lightgray; }");

    gbScrivi = new QGroupBox("Sillaba la parola separando le sillabe con un trattino -",this);
    gbScrivi->setGeometry(10,300,780,50);
		gbScrivi->setVisible(false);
		gbScrivi->setStyleSheet("QGroupBox { border-style: groove; border-width: 2px;border-color: lightgray; }");

    pbEsercizio = new QPushButton("Esercizio",gbPushButtons);
    pbEsercizio->setGeometry(10,10,80,25);
    pbEsercizio->setEnabled(true);
    connect(pbEsercizio,SIGNAL(clicked()),this,SLOT(esercizio()));   


    pbRicarica = new QPushButton("Ricomincia",gbPushButtons);
    pbRicarica->setGeometry(10,185,80,25);
    connect(pbRicarica,SIGNAL(clicked()),this,SLOT(leggiArchivio()));   

		if(iParole123>=2)pbRicarica->setVisible(true);
		else pbRicarica->setVisible(false);

    pbImposta = new QPushButton("Imposta",gbPushButtons);
    pbImposta->setGeometry(10,215,80,25);
    pbImposta->setEnabled(true);
    connect(pbImposta,SIGNAL(clicked()),this,SLOT(imposta()));   

    pbFine = new QPushButton("Basta",gbPushButtons);
    pbFine->setGeometry(10,245,80,25);
    pbFine->setEnabled(true);
    connect(pbFine,SIGNAL(clicked()),this,SLOT(close()));   


    bgTasti = new QButtonGroup(this);
		connect (bgTasti,SIGNAL(buttonClicked(int)),this, SLOT(pbTasti(int)));
    for (i=0;i<12;i++){
			pbTasto[i]=new QPushButton(sL[i],this);
      pbTasto[i]->setGeometry(10+65*i,429,64,80);
      bgTasti->addButton(pbTasto[i]);
			iTasti[i]=bgTasti->id(pbTasto[i]);
    }
    for (i=12;i<22;i++){
			pbTasto[i]=new QPushButton(QString::fromUtf8(sL[i]),this);
      pbTasto[i]->setGeometry(10+65*(i-12),510,64,80);
      bgTasti->addButton(pbTasto[i]);
			iTasti[i]=bgTasti->id(pbTasto[i]);
    }
		pbTasto[21]->setGeometry(10+65*(21-12),510,192+2,80);
		pbTasto[21]->setFont(*fnVoci);

//		connect (leKey,SIGNAL(keyPressEvent(QKeyEvent *)),this, SLOT(key(QKeyEvent *)));
		


    for(i=0;i<26;i++){
			laScrivi[i] = new QLabel(gbScrivi);
      laScrivi[i]->setGeometry(10+30*i,20,30,25);
			laScrivi[i]->setFont(*fnVoci);
			laScrivi[i]->setEnabled(true);
			laScrivi[i]->setStyleSheet("QLabel { color: black; }");
		}   

    for(i=0;i<20;i++){
			laCopia[i] = new QLabel("",gbCopia);
      laCopia[i]->setGeometry(10+30*i,20,30,25);
			laCopia[i]->setFont(*fnVoci);
			laCopia[i]->setEnabled(true);
		}   

		laParola = new QLabel("",gbParola);
		laParola->setGeometry(10,20,580,25);
		laParola->setFont(*fnVoci);
		laParola->setEnabled(true);
		laParola->setStyleSheet("QLabel { color: black; }");

//		QPalette plLabel(QLabel::palette());
//		plLabel = new QPalette(laParola->palette());
//		plLabel=laParola->palette();

		QPalette plLabel(laParola->palette());
		QColor clLabel(plLabel.color(QPalette::Normal,QPalette::Window));
		clLabel.getRgb(&iR,&iG,&iB);
		sprintf(sBgColorLabel,"QLabel {background-color: rgb(%d, %d, %d) }",iR,iG,iB);

    gbImposta = new QGroupBox("Impostazioni di base del programma",this);
    gbImposta->setGeometry(10,10,780,415);
		gbImposta->setVisible(false);
		gbImposta->setStyleSheet("QGroupBox { border-style: groove; border-width: 2px;border-color: lightgray; }");


    pbImpostaOk = new QPushButton("Ok",gbImposta);
    pbImpostaOk->setGeometry(690,380,80,25);
    pbImpostaOk->setEnabled(true);
    connect(pbImpostaOk,SIGNAL(clicked()),this,SLOT(impostaOk()));   

    pbImpostaAnnulla = new QPushButton("Annulla",gbImposta);
    pbImpostaAnnulla->setGeometry(10,380,80,25);
    pbImpostaAnnulla->setEnabled(true);
    connect(pbImpostaAnnulla,SIGNAL(clicked()),this,SLOT(impostaAnnulla()));   



		laImpDirParole = new QLabel (QString::fromUtf8("Cartella delle parole:"),gbImposta);
		laImpDirParole->setGeometry(10,20,80,25);
		laImpDirParole->adjustSize();
		laImpDirParole->setStyleSheet("QLabel {color: black;}");

		laImpLst = new QLabel(QString::fromUtf8("File con le parole da usare:"),gbImposta);
		laImpLst->setGeometry(10,50,80,25);
		laImpLst->adjustSize ();
		laImpLst->setStyleSheet("QLabel {color: black;}");

		laImpAudio = new QLabel(QString::fromUtf8("Dettatura (1=sì 0=no):"),gbImposta);
		laImpAudio->setGeometry(10,80,20,25);
		laImpAudio->adjustSize ();
		laImpAudio->setStyleSheet("QLabel {color: black;}");

		laImpAudio1 = new QLabel(QString::fromUtf8("Inizio comando esecuzione audio:"),gbImposta);
		laImpAudio1->setGeometry(10,110,0,25);
		laImpAudio1->adjustSize ();
		laImpAudio1->setStyleSheet("QLabel {color: black;}");	

		laImpAudio2 = new QLabel(QString::fromUtf8("Fine comando esecuzione audio:"),gbImposta);
		laImpAudio2->setGeometry(10,140,80,25);
		laImpAudio2->adjustSize ();
		laImpAudio2->setStyleSheet("QLabel {color: black;}");

		laImpRipetiAudio = new QLabel(QString::fromUtf8("Secondi tra due ripetizioni dettatura (0=mai) :"),gbImposta);
		laImpRipetiAudio->setGeometry(10,170,80,25);
		laImpRipetiAudio->adjustSize ();
		laImpRipetiAudio->setStyleSheet("QLabel {color: black;}");

		laImpMostra = new QLabel(QString::fromUtf8("Mostra la parola dettata (1=sì 0=no):"),gbImposta);
		laImpMostra->setGeometry(10,200,80,25);
		laImpMostra->adjustSize ();
		laImpMostra->setStyleSheet("QLabel {color: black;}");

		laImpCopia = new QLabel(QString::fromUtf8("Chiedi la copiatura della parola (1=sì 0=no):"),gbImposta);
		laImpCopia->setGeometry(10,230,80,25);
		laImpCopia->adjustSize ();
		laImpCopia->setStyleSheet("QLabel {color: black;}");

		laImpSillaba = new QLabel(QString::fromUtf8("Chiedi la sillabazione (1=sì 0=no):"),gbImposta);
		laImpSillaba->setGeometry(10,260,80,25);
		laImpSillaba->adjustSize ();
		laImpSillaba->setStyleSheet("QLabel {color: black;}");

		laImpMaiuMinu = new QLabel(QString::fromUtf8("Usa caratteri maiuscoli (1) o minuscoli (2):"),gbImposta);
		laImpMaiuMinu->setGeometry(10,290,80,25);
		laImpMaiuMinu->adjustSize ();
		laImpMaiuMinu->setStyleSheet("QLabel {color: black;}");

		laImpParole123 = new QLabel(QString::fromUtf8("Esercizi: 1 (caso); 2 (caso n.r.); 3 (seq. fissa)  "),gbImposta);
		laImpParole123->setGeometry(10,320,80,25);
		laImpParole123->adjustSize ();
		laImpParole123->setStyleSheet("QLabel {color: black;}");

		laImpErroreResta = new QLabel(QString::fromUtf8("Resta segnalazione errore (1=sì 0=no):"),gbImposta);
		laImpErroreResta->setGeometry(10,350,80,25);
		laImpErroreResta->adjustSize ();
		laImpErroreResta->setStyleSheet("QLabel {color: black;}");

		laImpDirParoleScelta = new QLabel(sDirParole,gbImposta);
		laImpDirParoleScelta->setGeometry(390,25,80,25);
		laImpDirParoleScelta->adjustSize ();
		laImpDirParoleScelta->setStyleSheet("QLabel {color: gray;}");

		laImpLstScelta = new QLabel(sFileLst,gbImposta);
		laImpLstScelta->setGeometry(390,50,80,25);
		laImpLstScelta->adjustSize ();
		laImpLstScelta->setStyleSheet("QLabel {color: gray;}");


		leImpAudio = new QLineEdit("",gbImposta);
		leImpAudio->setGeometry(350,80,25,20);
		leImpAudio->setStyleSheet("QLineEdit {color: black;}");

		leImpAudio1 = new QLineEdit("",gbImposta);
		leImpAudio1->setGeometry(350,110,120,20);
		leImpAudio1->setStyleSheet("QLineEdit {color: black;}");	

		leImpAudio2 = new QLineEdit("",gbImposta);
		leImpAudio2->setGeometry(350,140,120,20);
		leImpAudio2->setStyleSheet("QLineEdit {color: black;}");

		leImpRipetiAudio = new QLineEdit("",gbImposta);
		leImpRipetiAudio->setGeometry(350,170,25,20);
		leImpRipetiAudio->setStyleSheet("QLineEdit {color: black;}");

		leImpMostra = new QLineEdit("",gbImposta);
		leImpMostra->setGeometry(350,200,25,20);
		leImpMostra->setStyleSheet("QLineEdit {color: black;}");

		leImpCopia = new QLineEdit("",gbImposta);
		leImpCopia->setGeometry(350,230,25,20);
		leImpCopia->setStyleSheet("QLineEdit {color: black;}");

		leImpSillaba = new QLineEdit("",gbImposta);
		leImpSillaba->setGeometry(350,260,25,20);
		leImpSillaba->setStyleSheet("QLineEdit {color: black;}");

		leImpMaiuMinu = new QLineEdit("",gbImposta);
		leImpMaiuMinu->setGeometry(350,290,25,20);
		leImpMaiuMinu->setStyleSheet("QLineEdit {color: black;}");

		leImpParole123 = new QLineEdit("",gbImposta);
		leImpParole123->setGeometry(350,320,25,20);
		leImpParole123->setStyleSheet("QLineEdit {color: black;}");

		leImpErroreResta = new QLineEdit("",gbImposta);
		leImpErroreResta->setGeometry(350,350,25,20);
		leImpErroreResta->setStyleSheet("QLineEdit {color: black;}");

		pbFileLst = new QPushButton("Apri",gbImposta);
		pbFileLst->setGeometry(290,50,40,20);
//		pbFileLst->adjustSize();
		connect(pbFileLst,SIGNAL(clicked()),this,SLOT(impostaFileDialog()));

}



MainWindow::~MainWindow()
{
}


// ******************  CHE FARE *************************************

void MainWindow::cheFare()
{
int i;
  for (i=0;i<20;i++)laScrivi[i]->setEnabled(false);
}


// ******************  ESERCIZIO *************************************

void MainWindow::esercizio()
{
char sBuf[128],*sp1=NULL;
int i;

  for(i=0;i<26;i++){
    laScrivi[i]->setText("");
		laScrivi[i]->setEnabled(false);
	}   

  for(i=0;i<20;i++){
    laCopia[i]->setText("");
		laCopia[i]->setEnabled(false);
	}   

	sParola[0]='\0';
  if (nParole==0&&iParole123==1){
    msgBox->setText("Non ci sono parole nel vocabolario");
	  msgBox->setIcon(QMessageBox::Information);
		msgBox->setInformativeText(QString::fromUtf8("Attraverso le impostazioni definire un archivio di parole tra cui cercare le sillabe.\nUn errore del genere potrebbe far pensare ad un'installazione rovinata.\nImpossibile proseguire con gli esercizi."));
		msgBox->setStandardButtons(QMessageBox::Ok);
		msgBox->setDefaultButton(QMessageBox::Ok);
		msgBox->exec();
		return;
	}

  msgBox->setText("Esercizio concluso");
  msgBox->setIcon(QMessageBox::Information);
	msgBox->setInformativeText(QString::fromUtf8("L'esercizio è concluso. Non ci sono più parole da sillabare o l'archivio è vuoto."));
	msgBox->setStandardButtons(QMessageBox::Ok);
	msgBox->setDefaultButton(QMessageBox::Ok);
	switch(iParole123)
	{
		case 1:
			nParola=iRand(nParole);
			break;
		case 2:
			if (nParola<0)	nParola=iRand(nParole);
			else if(nParole<=1){
				msgBox->exec();
				return;				
			}else{
				strcpy(sParole[nParola],sParole[nParole-1]);
				strcpy(sVoci[nParola],sVoci[nParole-1]);
				nParole--;
				nParola=iRand(nParole);
			}
			break;
		case 3:
			nParola++;
			if (nParola>=nParole){
				msgBox->exec();
				return;
			}
			break;
	}
  strcpy(sAudio,sAudio1r);
	strcat(sAudio,sVoci[nParola]);
	strcat(sAudio,sAudio2r);
  strcpy(sParolaSillabata,sParole[nParola]);
	strcpy(sBuf,sParolaSillabata);
	sp1=strtok(sBuf,"-");
	while (sp1!=NULL){
	  strcat(sParola, sp1);
		sp1=strtok(NULL,"-");
	}
  if(iMaiuMinu==1){
		strUpr(sParola);
		strUpr(sParolaSillabata);
	}
  if(iMaiuMinu==2){
		strLwr(sParola);
		strLwr(sParolaSillabata);
	}
	laParola->setText(sParola);
  if(iMostra==1){
		gbParola->setVisible(true);
	}else{
		gbParola->setVisible(false);
	}
	if (iCopiatura==0){
		gbCopia->setVisible(false);
		if(iSillabazione==1)
    {
			iSlot=2;
			iLabel=0;
			gbScrivi->setVisible(true);
			gbScrivi->repaint();
    }
  }else{
		gbCopia->setVisible(true);
		gbScrivi->setVisible(false);
		if(iMostra==1)gbParola->setTitle("Ricopia la parola qui sotto facendo clic sui tasti in fondo alla pagina");
		else gbParola->setTitle("Scrivi la parola dettata facendo clic sui tasti in fondo alla pagina");
		gbParola->setVisible(iMostra==1);
		gbParola->repaint();
		iLabel=0;
		iSlot=1;
//		connect (bgTasti,SIGNAL(buttonClicked(int)),this, SLOT(pbTastoCopia(int)));
		gbCopia->repaint();
	}
  if (iAudio==1){
		suona();
    if (iRipetiAudio>0)tiRipeti->start(iRipetiAudio*1000);
	}
	pbTasto[0]->setFocus();
}

void MainWindow::esercizioFine()
{

		iLabel=0;
		iSlot=0;
		tiRipeti->stop();

    msgBox->setText("Esercizio finito.");
    msgBox->setIcon(QMessageBox::Information);
		msgBox->setInformativeText(QString::fromUtf8("Per avere un'altra parola premi Ok qui sotto e poi di nuovo il pulsante Esercizio"));
		msgBox->setStandardButtons(QMessageBox::Ok);
		msgBox->setDefaultButton(QMessageBox::Ok);
		msgBox->exec();

		gbParola->setVisible(false);
//		leKey->setFocus();
}


// ******************  FINE *******************************************

void MainWindow::fine()
{
  exit(0);
}


// ******************* KEY ********************************************
/*
void MainWindow::keyPressEvent(QKeyEvent *k)
{
  int i=k->key();
	if (i>=Qt::Key_A && i<=Qt::Key_Z){
		i=i-Qt::Key_A+iTasti[0];
	}else if(i==Qt::Key_Minus) i=iTasti[21];
	printf("\n%d\n",i);
  pbTasti(i);
}

*/
// ******************  IMPOSTA ****************************************

void MainWindow::imposta()
{


	blPushButtons=gbPushButtons->isVisible();
	blCopia=gbCopia->isVisible();
	blParola=gbParola->isVisible();
	blScrivi=gbScrivi->isVisible();

	gbPushButtons->setVisible(false);
	gbCopia->setVisible(false);
	gbParola->setVisible(false);
	gbScrivi->setVisible(false);
  gbImposta->setVisible(true);


	laImpDirParoleScelta->setText(QString::fromUtf8(sDirParole));
	laImpLstScelta->setText(QString::fromUtf8(sFileLst));
	leImpAudio->setText(iToStr(iAudio));
	leImpAudio1->setText(QString::fromUtf8(sAudio1));	
	leImpAudio2->setText(QString::fromUtf8(sAudio2));	
	leImpRipetiAudio->setText(iToStr(iRipetiAudio));
	leImpMostra->setText(iToStr(iMostra));
	leImpCopia->setText(iToStr(iCopiatura));
	leImpSillaba->setText(iToStr(iSillabazione));
	leImpMaiuMinu->setText(iToStr(iMaiuMinu));
	leImpParole123->setText(iToStr(iParole123));
	leImpErroreResta->setText(iToStr(iErroreResta));

	if(iRipetiAudio>0) {
    blTimer=tiRipeti->isActive();
		tiRipeti->stop();
		iRipetiAudio=-iRipetiAudio;
	}


}

void MainWindow::impostaAnnulla()
{
  gbImposta->setVisible(false);
	gbPushButtons->setVisible(blPushButtons);
	gbCopia->setVisible(blCopia);
	gbParola->setVisible(blParola);
	gbScrivi->setVisible(blScrivi);

	if (iRipetiAudio<0){
		iRipetiAudio=-iRipetiAudio;
		if(blTimer)tiRipeti->start();
	}
}

void MainWindow::impostaFileDialog()
{
char sBuf[128]="",sBuf1[128];
	strcat(sBuf,sFileLst);
	QString fileName = QFileDialog::getOpenFileName(this, 
																								tr("Apri File"),
                                                 sDirParole,
                                                 tr("Parole (*.lst)"));
	strcpy(sBuf,fileName.toAscii());
	laImpLstScelta->setText(baseName(sBuf));
  strcpy(sBuf, fileName.toAscii());
  strcpy(sBuf1,dirName(sBuf));
	strcat(sBuf1,"/");
	laImpLstScelta->adjustSize();
//	laImpDirParoleScelta->setText(sBuf1);
	laImpDirParoleScelta->adjustSize();
	
}

void MainWindow::impostaOk()
{
char sBuf[128];
int i;
unsigned j;
  msgBox->setText("Controllo impostazioni");
  msgBox->setIcon(QMessageBox::Critical);
	msgBox->setStandardButtons(QMessageBox::Ok);
	msgBox->setDefaultButton(QMessageBox::Ok);
	msgBox->setInformativeText(QString::fromUtf8("Valori ammessi solo\n\n1 per sì\n0 per no."));

	i=leImpAudio->text().toInt();
	if(i !=0 && i != 1){
    msgBox->setText(QString::fromUtf8("Dettatura"));
		msgBox->exec();
		return;
	}
	i=leImpRipetiAudio->text().toInt();
	if(i <0){
    msgBox->setText(QString::fromUtf8("Ripetizione audio"));
		msgBox->setInformativeText(QString::fromUtf8("Numero di secondi che devono trascorrere tra due ripetizioni; 0 vuol dire che non ci sarò ripetizione."));
		msgBox->exec();
		return;
	}
	i=leImpMostra->text().toInt();
	if(i !=0 && i != 1){
    msgBox->setText(QString::fromUtf8("Mostra la parola dettata"));
		msgBox->exec();
		return;
	}
	if(i==0 && leImpAudio->text().toInt()==0){
    msgBox->setText(QString::fromUtf8("Mostra o detta"));
		msgBox->setInformativeText(QString::fromUtf8("E' zero sia l'opzione dettatura che l'opzione di mostrare la parola.\nUna delle due deve essere 1."));
		msgBox->exec();
		return;
	}

	i=leImpCopia->text().toInt();
	if(i !=0 && i != 1){
    msgBox->setText(QString::fromUtf8("Copia la parola proposta"));
		msgBox->exec();
		return;
	}
	i=leImpSillaba->text().toInt();
	if(i !=0 && i != 1){
    msgBox->setText(QString::fromUtf8("Sillaba la parola proposta"));
		msgBox->exec();
		return;
	}
	if(leImpAudio1->text().length()>126){
    msgBox->setText(QString::fromUtf8("Inizio comando audio"));
		msgBox->setInformativeText(QString::fromUtf8("La lunghezza non può superare i 126 caratteri"));
		msgBox->exec();
		return;
	}
	if(leImpAudio2->text().length()>126){
    msgBox->setText(QString::fromUtf8("Fine comando audio"));
		msgBox->setInformativeText(QString::fromUtf8("La lunghezza non può superare i 126 caratteri"));
		msgBox->exec();
		return;
	}
	i=leImpMaiuMinu->text().toInt();
	if(i !=2 && i != 1){
    msgBox->setText(QString::fromUtf8("Tipo di caratteri"));
		msgBox->setInformativeText(QString::fromUtf8("Sono ammessi\n\n1 per caratteri stampato maiuscolo\n\n2 per caratteri stampato minuscolo"));
		msgBox->exec();
		return;
	}
	i=leImpParole123->text().toInt();
	if(i !=2 && i != 1 && i!=3){
    msgBox->setText(QString::fromUtf8("Scelta esercizi"));
		msgBox->setInformativeText(QString::fromUtf8("Valori ammessi:\n\n1 sceglie a caso le parole e, in via di principio, una parola può comparire anche più volte;\n\n2 sceglie a caso le parole, ma non sono ammesse le ripatizioni della stessa parola\n\n3 le parole sono presentate sempre nella stessa sequenza."));
		msgBox->exec();
		return;
	}
	i=leImpErroreResta->text().toInt();
	if(i !=0 && i != 1){
    msgBox->setText(QString::fromUtf8("Mantenimento della segnalazione di errore"));
		msgBox->exec();
		return;
	}
	if(leImpMostra->text().toInt()==0){
    msgBox->setText(QString::fromUtf8("E' attiva solo la dettatura"));
		msgBox->setInformativeText(QString::fromUtf8("Se il computer non ha la possibilità di riprodurre suoni o l'impostazione non è corretta non si potrà eseguire alcun esercizio.\nVerificare che la riproduzione dei suoni funzioni correttamente prima di avviare l'esercitazione vera."));
	  msgBox->setIcon(QMessageBox::Warning);
		msgBox->exec();
	}

  if(	iParole123!=leImpParole123->text().toInt()||
			strcmp(sDirParole,laImpDirParoleScelta->text().toAscii())!=0||
			strcmp(sFileLst,laImpLstScelta->text().toAscii())!=0
		){
		  strcpy(sArchivioLst,laImpDirParoleScelta->text().toAscii());
			strcat(sArchivioLst,laImpLstScelta->text().toAscii());
			leggiArchivio();
	}
	strcpy(sDirParole,laImpDirParoleScelta->text().toAscii());
	strcpy(sFileLst,laImpLstScelta->text().toAscii());
	strcpy(sAudio1,leImpAudio1->text().toAscii());
	strcpy(sAudio2,leImpAudio2->text().toAscii());
	strcpy(sAudio1r,sAudio1);
	strcat (sAudio1r," ");
	strcat (sAudio1r,sDirParole);
	strcpy(sBuf," ");
	strcat(sBuf,sAudio2);
	strcpy(sAudio2r,sBuf);
//	strChrRep(sAudio1,' ','_');
//	strChrRep(sAudio2,' ','_');
  iAudio=leImpAudio->text().toInt();
  iRipetiAudio=leImpRipetiAudio->text().toInt();
  iMostra=leImpMostra->text().toInt();
  iCopiatura=leImpCopia->text().toInt();
  iSillabazione=leImpSillaba->text().toInt();
  iMaiuMinu=leImpMaiuMinu->text().toInt();
  iParole123=leImpParole123->text().toInt();
  iErroreResta=leImpErroreResta->text().toInt();

	if(iParole123>=2)pbRicarica->setVisible(true);
	else pbRicarica->setVisible(false);

	if (iMaiuMinu==2){
		for (i=0;(unsigned)i<sizeof(sL);i++)sL[i][0]=tolower(sL[i][0]);
	}
	if (iMaiuMinu==1){
		for (i=0;(unsigned)i<sizeof(sL);i++)sL[i][0]=toupper(sL[i][0]);
	}

  for (i=0;i<22;i++){
		pbTasto[i]->setText(QString::fromUtf8(sL[i]));
  }



  msgBox->setText("Salvataggio impostazioni");
  msgBox->setIcon(QMessageBox::Question);
	msgBox->setStandardButtons(QMessageBox::Ok|QMessageBox::No);
	msgBox->setDefaultButton(QMessageBox::Ok);
	msgBox->setInformativeText(QString::fromUtf8("Le impostazioni sembrano corrette e sono effettive da questo momento in poi. Vuoi salvarle, se possibile, rendendole disponibili anche per le prossime esecuzioni del programma?"));
	i=msgBox->exec();
	
  if (i==QMessageBox::No) return;
	
  FILE *fIni=fopen("Sillabe.ini","w");

	if (fIni==NULL){
	  msgBox->setText("Salvataggio impostazioni impossibile");
		msgBox->setIcon(QMessageBox::Warning);
		msgBox->setStandardButtons(QMessageBox::Ok);
		msgBox->setDefaultButton(QMessageBox::Ok);
		msgBox->setInformativeText(QString::fromUtf8("Non è possibile salvare le impostazioni; probabilmente il disco non è scrivibile perché è un CD o perché non si hanno i diritti sufficienti.\nLe impostazioni saranno usate in questa esecuzione del programma, ma, al prossimo avvio, saranno perdute."));
		i=msgBox->exec();
	}
  for (j=0;j<nIni;j++){
		if(strIni[j].iIni==1){
			int *k=(int *)strIni[j].p;
			fprintf(fIni,"%s %d\n",strIni[j].sIni,*k);
		}
		if(strIni[j].iIni==2)fprintf(fIni,"%s %s\n",strIni[j].sIni,(char *)strIni[j].p);
	}
	fclose(fIni);

	impostaAnnulla();


}


// ****************** LEGGI_ARCHIVIO ********************************

void MainWindow::leggiArchivio()
{
char sBuf1[256];
int i;

	FILE *fSillabe=fopen(sArchivioLst,"r");
	if (fSillabe==NULL){
		strcpy(sBuf1,"Impossibile aprire il file ");
		strcat(sBuf1,sArchivioLst);
    msgBox->setText(sArchivioLst);
	  msgBox->setIcon(QMessageBox::Information);
		msgBox->setInformativeText(QString::fromUtf8("Controllare che la cartella sia corretta e che esista il file.\nCambiare l'impostazione del programma."));
		msgBox->setStandardButtons(QMessageBox::Ok);
		msgBox->setDefaultButton(QMessageBox::Ok);
		msgBox->exec();
		nParole=0;
	}else{
		nParole=0;
		while(! feof(fSillabe)){
			i=fscanf(fSillabe,"%s %s\n",sParole[nParole],sVoci[nParole]);
			if (sParole[nParole][0]=='#') continue;
			if(i==2){
				if(iMaiuMinu==2)strUpr(sParole[nParole]);
				if(iMaiuMinu==1)strLwr(sParole[nParole]);
				nParole++;
			}
		} 
	}
	nParola=-1;

}


// ****************** PB_TASTO_COPIA ******************************** 


void MainWindow::pbTasti(int iTasto)
{
  switch (iSlot){
		case 1:
			pbTastoCopia(iTasto);
			break;
		case 2:
			pbTastoSillaba(iTasto);
			break;
	}
	pbTasto[0]->setFocus();
//	leKey->setFocus();
}

void MainWindow::pbTastoCopia(int iTasto)
{
  unsigned int iT;
	if (iSlot!=1) return;
  for(iT=0;iT<sizeof(iTasti);iT++){
    if (iTasto==iTasti[iT]) break;
	}
	if (sL[iT][0]==sParola[iLabel]){
		laCopia[iLabel]->setStyleSheet(sBgColorLabel);
//		laCopia[iLabel]->setStyleSheet("QLabel { background-color: white }");
//			laCopia[iLabel]->setPalette(plLabel);
//		laCopia[iLabel]->setStyle(laParola->style());	
		laCopia[iLabel++]->setText(QString::fromUtf8(sL[iT]));
	}else{
		laCopia[iLabel]->setStyleSheet("QLabel { background-color: red }");
  }
	if(iLabel==strlen(sParola)){
		iLabel=0;
		if(iSillabazione==1){
			gbScrivi->setVisible(true);
			iSlot=2;
		}else{
			esercizioFine();
		}
	}
}

void MainWindow::pbTastoSillaba(int iTasto)
{
  unsigned int iT;
  if(iSlot==3){iSlot=2;return;}
	if (iSlot!=2) return;
  for(iT=0;iT<sizeof(iTasti);iT++){
    if (iTasto==iTasti[iT]) break;
	}
	if (sL[iT][0]==sParolaSillabata[iLabel]){
		laScrivi[iLabel]->setStyleSheet(sBgColorLabel);
		laScrivi[iLabel++]->setText(QString::fromUtf8(sL[iT]));
	}else{
		laScrivi[iLabel]->setStyleSheet("QLabel { background-color: red }");
  }
	if(iLabel==strlen(sParolaSillabata)){
		gbScrivi->setVisible(true);
		esercizioFine();
	}
}


// ****************** SUONA ********************************************

void MainWindow::suona()
{
//int i;
//  for (i=0;i<21;i++){

//#ifdef _WIN32
//		QSound::play("Parole/magma.mp3");
//    if(system(sAudio)==0){};
//	execl("cmdmp3.exe","cmdmp3.exe","Parole/bolero.mp3",">nul:",NULL);
//#else
    if(system(sAudio)==0){};
//#endif
//  }
}

